--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Save the instance and loaded, dirty associations to the data-store, bypassing hooks
- !ruby/struct:SM::Flow::P 
  body: "@return [Boolean]"
- !ruby/struct:SM::Flow::VERB 
  body: "  true if Resource instance and all associations were saved\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Resource#save!
is_singleton: false
name: save!
params: ()
visibility: public
